<script setup lang="ts">
import { ref } from 'vue'
import { useISAStore } from '@/stores/useISAStore';
import { onBeforeMount } from 'vue'

definePageMeta({layout: "welcome"});

const ISAStore = useISAStore()
const form = ref(null)
const investigation = ref("")

const newInvestigation = async () => {
    let test = await form.value.validate()
    if(test.valid)
    {
        let investigation_objet = await ISAStore.createPendingInvestigation(investigation.value)
        await navigateTo('/investigations/'+investigation_objet.id)
    }
}
</script>

<template>
        <v-container class="d-flex align-center fill-height">
            <v-sheet>
                <h1>Welcome</h1>
                <p class="mb-4">
                    OpenLink allows you to identify and track the data associated with the different stages of your research projects.
                </p>
                <p class="mb-4">
                    To get started, create your first investigation.<br/>
                    An investigation is commonly associated to a general research question or goal.
                </p>

                <v-form ref="form">
                    <v-text-field
                        label="Investigation name"
                        variant="solo"
                        autofocus
                        v-model="investigation"
                        :rules="[ v => !!v || 'An investigation name is required to start']"
                    ></v-text-field>
                    <v-btn color="primary" class="mt-2" @click="newInvestigation()">Start</v-btn>
                </v-form>
            </v-sheet>
        </v-container>
</template>
